CLASS Logfile_Base
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"0");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"1");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "login";
END
CLASS Root_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"2");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "login";
END
CLASS Root_Login_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"3");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = PRINTF("root login %s", $V6);
    sub_source = "login";
    on_tty = $V6;
END
CLASS Root_Login_Success_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"4");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"on_tty");
    7: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = PRINTF("root login from %s", $V7);
    sub_source = "login";
    on_tty = $V6;
    from_host = $V7;
END
CLASS Root_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"5");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "login";
END
CLASS Root_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"6");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = PRINTF("root login failed from %s", $V6);
    sub_source = "login";
    from_host = $V6;
END
CLASS Repeated_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"7");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "login";
END
CLASS Repeated_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"8");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = PRINTF("repeated login failure from %s", $V6);
    sub_source = "login";
    from_host = $V6;
END
CLASS Logfile_Passwd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"9");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = PRINTF("password for %s", $V5);
    sub_source = "passwd";
END
CLASS Logfile_Su
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"10");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "su";
END
CLASS Su_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"11");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"to_user");
    7: ATTR(=,"from_user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = PRINTF("su success: %s->%s", $V7, $V6);
    sub_source = "su";
    to_user = $V6;
    from_user = $V7;
END
CLASS Su_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"12");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"to_user");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = PRINTF("su failure for %s", $V6);
    to_user = $V6;
END
CLASS Logfile_Automount
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"13");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "automount";
END
CLASS Logfile_Amd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"14");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "amd";
END
CLASS Logfile_Cron
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"15");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "cron";
END
CLASS Logfile_Ftpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"16");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "ftpd";
END
CLASS Logfile_Snmpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"17");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "snmpd";
END
CLASS Logfile_Named
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"18");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "named";
END
CLASS Logfile_Rlogind
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"19");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "rlogind";
END
CLASS Logfile_Telnetd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"20");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "telnetd";
END
CLASS Logfile_Inetd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"21");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "inetd";
END
CLASS Logfile_Mountd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"22");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "rpc.mountd";
END
CLASS Logfile_Rstatd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"23");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "rstatd";
END
CLASS Logfile_Syslogd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"24");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "syslogd";
END
CLASS Logfile_Lpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"25");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "lpd";
END
CLASS Logfile_Xntpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"26");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "xntpd";
END
CLASS Logfile_Sendmail
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"27");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "sendmail";
END
CLASS Logfile_Kernel
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"28");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "unix";
END
CLASS Logfile_Oserv
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"29");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "oserv";
END
CLASS Oserv_Fork_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"30");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"errno");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = "oserv fork failed";
    pid = $V6;
    sub_source = "oserv";
    errno = $V7;
END
CLASS Oserv_Exec_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"31");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"exec_path");
    8: ATTR(=,"errno");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = "oserv exec failed";
    pid = $V6;
    sub_source = "oserv";
    exec_path = $V7;
    errno = $V8;
END
CLASS Oserv_IPC_Dispatch_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"32");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    pid = $V6;
    sub_source = "oserv";
    msg = "oserv ipc_dispatch failed";
END
CLASS Oserv_Event_Method_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"33");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"desc");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = "oserv event method failed";
    pid = $V6;
    sub_source = "oserv";
    desc = $V7;
END
CLASS Oserv_Panic
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"34");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"cause");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = "oserv panic";
    pid = $V6;
    sub_source = "oserv";
    cause = $V7;
END
CLASS Oserv_Graceful_Exit
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"35");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    pid = $V6;
    sub_source = "oserv";
    msg = "oserv exited gracefully";
END
CLASS Logfile_Reboot
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"36");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"by");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    date = $V4;
    origin = $V5;
    msg = PRINTF("%s rebooted by %s", $V2, $V6);
    by = $V6;
    sub_source = "reboot";
END
CLASS *DISCARD*
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"37");
END
CLASS *DISCARD*
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"38");
  MAP
    dummy = "dummy";
END
